#include <QApplication>
#include <QLabel>
#include <QHBoxLayout>
#include <QDebug>

int main(int argc, char *argv[])
{
	QApplication a(argc, argv);
	QWidget w;
	QLabel l;
	l.setTextInteractionFlags(Qt::TextSelectableByMouse);
	QString text = QString::fromUtf8("∤∯∰≨≩≴≵⊚⊛⊜⊡⊾ℜ");

	// Print the Unicode values (in hex) using qDebug() for reference.
	QStringList charList;
	foreach(QChar thisChar, text) {
		charList << QString::number(thisChar.unicode(), 16);
	}
	qDebug() << charList.join(",");

	l.setText("Qt " + QString::fromUtf8(qVersion()) + ": " + text);

	QHBoxLayout layout;
	layout.addWidget(&l);
	w.setLayout(&layout);

	w.show();

	return a.exec();
}
